Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityBandedConnectionPolicy Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::PriorityBandedConnectionPolicy:

[legend]
Collaboration diagram for RTCORBA::PriorityBandedConnectionPolicy:

[legend]
List of all members.

## Public Types
typedef PriorityBandedConnectionPolicy_ptr | _ptr_type
typedef PriorityBandedConnectionPolicy_var | _var_type
## Public Methods
virtual::RTCORBA::PriorityBands * | priority_bands (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
PriorityBandedConnectionPolicy_ptr | _duplicate (PriorityBandedConnectionPolicy_ptr obj)
PriorityBandedConnectionPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PriorityBandedConnectionPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| PriorityBandedConnectionPolicy (void)
virtual | ~PriorityBandedConnectionPolicy (void)
## Private Methods
| PriorityBandedConnectionPolicy (const PriorityBandedConnectionPolicy &)
void | operator= (const PriorityBandedConnectionPolicy &)

## Member Typedef Documentation

typedef PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef PriorityBandedConnectionPolicy_var RTCORBA::PriorityBandedConnectionPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::PriorityBandedConnectionPolicy::PriorityBandedConnectionPolicy | ( | void |  | ) | `[protected]`

RTCORBA::PriorityBandedConnectionPolicy::~PriorityBandedConnectionPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::PriorityBandedConnectionPolicy::PriorityBandedConnectionPolicy | ( | const PriorityBandedConnectionPolicy & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy::_duplicate | ( | PriorityBandedConnectionPolicy_ptr | obj | ) | `[static]`

const char * RTCORBA::PriorityBandedConnectionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean RTCORBA::PriorityBandedConnectionPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PriorityBandedConnectionPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean RTCORBA::PriorityBandedConnectionPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PriorityBandedConnectionPolicy::operator= | ( | const PriorityBandedConnectionPolicy & |  | ) | `[private]`

virtual ::RTCORBA::PriorityBands* RTCORBA::PriorityBandedConnectionPolicy::priority_bands | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_PriorityBandedConnectionPolicy.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp